glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< float > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< float >:
[legend]

## Public Types

typedef float | CppType
typedef gfloat | CType

## Public Member Functions

void | set (float data)
float | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()

## Additional Inherited Members

Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef float Glib::Value< float >::CppType

typedef gfloat Glib::Value< float >::CType

## Member Function Documentation

float Glib::Value< float >::get | ( |  | ) | const

void Glib::Value< float >::set | ( | float | data | ) |

static GType Glib::Value< float >::value_type | ( |  | ) |

static